{% set compute_ports = [] %}
{% set peerlink_ports = [] %}
{% for i in range(1, compute_node_count * 2 + 1) %}
{% do compute_ports.append( "swp" + i|string ) %}
{% set pn = 33 - i %}
{% do peerlink_ports.append( "swp" + pn|string) %}
{% endfor %}

auto lo
iface lo inet loopback
    address 10.10.10.2{{ inventory_hostname[-1] }}/32

auto mgmt
iface mgmt
    vrf-table auto
    address 127.0.0.1/8

auto eth0
iface eth0 inet dhcp
    vrf mgmt

{% for port in compute_ports %}
auto {{ port }}
iface {{ port }}

{% endfor -%}

auto swp17
iface swp17

auto swp18
iface swp18

{% for port in peerlink_ports|reverse %}
auto {{ port }}
iface {{ port }}

{% endfor -%}

{% set compute_bonds = [] %}
{% for i in range(1, compute_node_count + 1) %}
{% do compute_bonds.append( "compute0" + i|string + "_1" ) %}
auto compute0{{ i }}_1
iface compute0{{ i }}_1
    bond-slaves swp{{ i }}
    clag-id {{ i }}
    bridge-access {{ storage_a.vlan }}

{% do compute_bonds.append( "compute0" + i|string + "_2" ) %}
auto compute0{{ i }}_2
iface compute0{{ i }}_2
    bond-slaves swp{{ i + compute_node_count }}
    clag-id {{ i + compute_node_count }}
    bridge-access {{ storage_b.vlan }}

{% endfor -%}

auto bridge
iface bridge
    bridge-vids {{ storage_a.vlan }} {{ storage_b.vlan }}
    bridge-ports {{ compute_bonds|join(' ') }} peerlink storage01 storage02
    bridge-vlan-aware yes

auto peerlink
iface peerlink
    bond-slaves swp25 swp26 swp27 swp28 swp29 swp30 swp31 swp32

auto peerlink.4094
iface peerlink.4094
    clagd-backup-ip {{ devices[inventory_hostname].clagd_backup_ip }} vrf mgmt
    clagd-peer-ip linklocal
    clagd-priority {{ inventory_hostname[-1] }}000
    clagd-sys-mac 44:38:39:be:ef:00

auto storage01
iface storage01
    bond-slaves swp17
    clag-id 17
    bridge-access {{ storage_a.vlan }}

auto storage02
iface storage02
    bond-slaves swp18
    clag-id 18
    bridge-access {{ storage_b.vlan }}
